Package org.eclipse.mat.snapshot

# Class UnreachableObjectsHistogram.Record

java.lang.Object
org.eclipse.mat.snapshot.UnreachableObjectsHistogram.Record

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `UnreachableObjectsHistogram`

public static class UnreachableObjectsHistogram.Record extends Object implements Serializable
Holds details about the unreachable objects for objects of one particular

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Record(String className, int nrOfObjects, long sizeOfObjects)`
Details about a particular class
`Record(String className, long classAddress, int nrOfObjects, long sizeOfObjects)`
Details about a particular class

## Method Summary

Modifier and Type
Method
Description
`long`
`getClassAddress()`
the actual address of the class
`String`
`getClassName()`
The name of the class
`int`
`getObjectCount()`
the number of instances discarded by Memory Analyzer
`long`
`getShallowHeapSize()`
the total size occupied by instances of this class that were discarded

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Record

public Record(String className, long classAddress, int nrOfObjects, long sizeOfObjects)
Details about a particular class

Parameters:
  `className` - the class name
  `classAddress` - the address of the class object
  `nrOfObjects` - the number of instances
  `sizeOfObjects` - the total size of the instances
Since:
  1.0

### Record

public Record(String className, int nrOfObjects, long sizeOfObjects)
Details about a particular class

Parameters:
  `className` - the class name
  `nrOfObjects` - the number of instances
  `sizeOfObjects` - the total size of the instances

## Method Details

### getClassName

public String getClassName()
The name of the class

Returns:
  the class name

### getObjectCount

public int getObjectCount()
the number of instances discarded by Memory Analyzer

Returns:
  the number of instances

### getShallowHeapSize

public long getShallowHeapSize()
the total size occupied by instances of this class that were discarded

Returns:
  the total size

### getClassAddress

public long getClassAddress()
the actual address of the class

Returns:
  the class address
Since:
  1.0